Page MenuHomePhabricator

[libc++] Make sure we re-export some missing libc++abi symbols from libc++
ClosedPublic

Authored by ldionne on Apr 8 2019, 3:10 PM.

Details

Summary

Ensure we re-export ___cxa_throw_bad_array_new_length and
__cxa_uncaught_exceptions from libc++, since they are now
provided by libc++abi.

Doing this allows us to stop linking explicitly against libc++abi in
the libc++abi tests, since libc++ re-exports all the necessary symbols.
However, there is one caveat to that. We don't want libc++ to re-export
__cxa_uncaught_exception (the singular form), since it's only provided
for backwards compatibility. Hence, for the single test where we check
this backwards compatibility, we explicitly link against libc++abi.

PR27405
PR22654

Diff Detail

Repository
rL LLVM

Event Timeline

ldionne created this revision.Apr 8 2019, 3:10 PM

Gentle ping. This is fixing two outstanding bug reports: PR27405 and PR22654.

LGTM.

Sorry I didn't get to this sooner.

EricWF accepted this revision.Apr 15 2019, 7:18 AM
This revision is now accepted and ready to land.Apr 15 2019, 7:18 AM

LGTM.

Sorry I didn't get to this sooner.

No worries! Thanks for reviewing.

This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptApr 18 2019, 10:17 AM